Cyan Web API - Version 1


GET api/deviceGroups/{deviceGroupId}

            Gets a DeviceGroup.
            

Request Information

Parameters

NameDescriptionAdditional information
deviceGroupId

Define this parameter in the request URI.

Response Information

Response body formats

application/json, text/json

Sample:
{
  "deviceGroupId": "b347d602-8606-492f-847b-63a62c2d6ed5",
  "tenantId": "18986773-d743-4ad0-96f8-efc3cc1968e8",
  "lookupKey": "sample string 3",
  "name": "sample string 4",
  "description": "sample string 5",
  "isDefault": true,
  "createdDateUtc": "2026-11-13T23:59:46.9588983+00:00",
  "updatedDateUtc": "2026-11-13T23:59:46.9588983+00:00"
}

application/xml, text/xml

Sample:
<DeviceGroupRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-11-13T23:59:46.9588983+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-11-13T23:59:46.9588983+00:00</UpdatedDateUtc>
  <Description>sample string 5</Description>
  <DeviceGroupId>b347d602-8606-492f-847b-63a62c2d6ed5</DeviceGroupId>
  <IsDefault>true</IsDefault>
  <LookupKey>sample string 3</LookupKey>
  <Name>sample string 4</Name>
  <TenantId>18986773-d743-4ad0-96f8-efc3cc1968e8</TenantId>
</DeviceGroupRepresentation>